Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.sag
Class RoutingList

    java.lang.Object
      com.stc.connector.sagadapter.jni.sag.RoutingList

Deprecated. in swift 5.0.0 and removed in 6.0.0

    public class RoutingList

extends java.lang.Object

Wrapper class for SAG C++ RoutingList class. It is derived from sagappltypes.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:39 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`RoutingList()` Deprecated. Creates a new instance of RoutingList
`RoutingList(RoutingList orig)` Deprecated.

Method Summary
`void` | `destroy(int iStep)` Deprecated.
`void` | `free()` Deprecated. Method free.
`int` | `getNumberOfStep()` Deprecated.
`RoutingStep` | `getRoutingStep(int iStep)` Deprecated.
`void` | `insert(int iStep, RoutingStep routingStep)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutingList

    public RoutingList()

  Deprecated.
  Creates a new instance of RoutingList

### RoutingList

    public RoutingList(RoutingList orig)

  Deprecated.

Method Detail

### free

    public void free()

  Deprecated.
  Method free.

### getNumberOfStep

    public int getNumberOfStep()

  Deprecated.

### getRoutingStep

    public RoutingStep getRoutingStep(int iStep)

  Deprecated.

### insert

    public void insert(int iStep,
                       RoutingStep routingStep)

  Deprecated.

### destroy

    public void destroy(int iStep)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.